class AutoRejoinPlugin < Plugin
  def help(plugin, topic="")
    "performs an automatic rejoin if the bot is kicked from a channel"
  end
  def kick(m)
    @bot.join m.channel
    @bot.say m.channel, @bot.lang.get("insult") % m.sourcenick
  end
end

plugin = AutoRejoinPlugin.new
plugin.register("autorejoin")
